<template>
<Card class="checkingWolfram" :borderOpacity=".5">
  <div class="instruction">
    <div class="flex flex-top instruction_item">
      <div class="instruction-step">1</div>
      <div>
        <div class="flex flex-middle title">
          {{$t('common.copy')}}
          <div class="info-mockup small margin-left margin-right">
            α
          </div>
          <div class="instruction-step-arrow">
            <svg-icon src="checkResult/arrow.svg"></svg-icon>
<!--            <img-->
<!--              src="~/static/icons/arrow-right.png"-->
<!--              alt="">-->
          </div>
          {{$t('history.details.generateHash')}}
        </div>
        <div class="instruction-subtitle">
          {{$t('history.details.compareHash')}}
        </div>
      </div>
    </div>
    <div class="flex flex-top instruction_item">
      <div class="instruction-step">2</div>
      <div>
        <div class="flex flex-middle title">
          {{$t('history.details.copyList')}}
          <div class="instruction-step-arrow margin-left">
            <svg-icon src="checkResult/arrow.svg"></svg-icon>
<!--            <img-->
<!--              src="~/static/icons/arrow-right.png"-->
<!--              alt="">-->
          </div>
          {{$t('history.details.generateHash')}}
        </div>
        <div class="instruction-subtitle flex flex-middle">
          {{$t('history.details.compareWith')}}
          <div class="info-mockup small margin-left margin-right">
            β
          </div>
          {{$t('history.details.hashAllBets')}}
        </div>
      </div>
    </div>
    <div class="flex flex-top instruction_item">
      <div class="instruction-step">3</div>
      <div>
        <div class="flex flex-middle title">
          {{$t('common.calculate')}}
          <div class="info-mockup small margin-left margin-right">
            α
          </div>
          +
          <div class="info-mockup small margin-right margin-left">
            β
          </div>
          {{$t('history.details.calculateThrough')}}&nbsp;<a
          href="#"
          class="color-orange">{{$t('common.formula')}}</a>
        </div>
      </div>
    </div>
  </div>
  <div class="checkResult_wolfram">
    <div class="flex flex-middle flex-center">
      <div class="info-mockup medium">
        α
      </div>
      <span class="margin-left-half margin-right-half" style="color: white; font-size: 24px;">+</span>
      <div class="info-mockup medium">
        β
      </div>
        <svg-icon style="margin-left:5px; margin-right: 5px; margin-top: 2px;" src="checkResult/line.svg"></svg-icon>
        <img
          src="~/static/icons/settings-gears.svg"
          class="gear"
          alt="">
        <svg-icon style="margin-left:5px; margin-right: 5px;" src="checkResult/arrow.svg"></svg-icon>
      <div class="info-mockup medium">
        5
      </div>
    </div>
    <div class="text color-secondary">{{$t('history.details.useWolfram')}}</div>
    <div class="flex flex-center">
      <svg-icon src="checkResult/arrow-bottom.svg"></svg-icon>
<!--      <img-->
<!--        class="checkResult_wolfram-arrow"-->
<!--        src="~/static/icons/bottom-arrow.png"-->
<!--        alt="">-->
    </div>
  </div>
</Card>
</template>

<script>
import SvgIcon from '~/components/base/utils/svgIcon';
import Card from '~/components/base/card/index';
export default {
  name: "checkingWolfram",
  components: {
    Card,
    SvgIcon
  }
}
</script>

<style scoped lang="scss">
@import '~/assets/styles/variables.scss';
@import '~/assets/styles/colorVariables.scss';
.checkingWolfram {
  font-size: 14px;
}
.instruction {
  font-size: 14px;
  background-color: #283349;
  &_item {
    padding: 16px 0px;
    margin: 0px 20px;
  }
  &_item:not(:last-of-type) {
    border-bottom: 1px dashed rgba($grey, .5);
  }
  &-subtitle {
    color: $fontColor-primary;
  }
  .title {
    padding: $paddingMini/2 0;
    color: rgb(255, 255, 255);
  }
  &-step {
    position: relative;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: rgb(0, 189, 197);
    color: $primaryColor;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 10px;
    font-weight: 500;
    margin-right: 12px;
    margin-top: 8px;
    &-arrow {
      position: relative;
      width: 30px;
      & > img {
        position: absolute;
        top: -3px;
        max-height: 16px;
        max-width: 20px;
      }
    }
    img {
      position: absolute;
      top: 15px;
    }
  }
}
</style>
